#include <QtGui/QApplication>
#include <QtCore/QTextCodec>
#include "window.h"

#include <new>
#include <iostream>

int main(int argc, char *argv[])
{
  int ret = -1;
  QApplication a(argc, argv);
  QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
  try
  {
    MainWindow w;
    w.show();
    ret = a.exec();
  }
  catch (std::bad_alloc)
  {
    std::cerr << "out of memory" << std::endl;
  }
  return ret;
}