#include "window.h"
#include "ui_window.h"
#include "mandelbrot.h"
#include "newton.h"
#include "linear_palette.h"
#include <iostream>


MainWindow::MainWindow(QWidget *parent)
  : QWidget(parent), ui(new Ui::Form)
{
  ui->setupUi(this);
  _painter = new FractalPainter(512, 512);  
  ui->vLayout->addWidget(_painter);
  setupFractalList();
}

MainWindow::~MainWindow()
{
//   for (QVector<AbstractFractal*>::iterator it = _fractals.begin(); it != _fractals.end(); ++it)
//   {
//     delete (*it);
//   }
  delete ui;
}


void MainWindow::setupFractalList ()
{
  for (QVector<AbstractFractal*>::iterator it = _fractals.begin(); it != _fractals.end(); ++it)
  {
    //ui->fractalList->addItem((*it)->name());
  }
}


void MainWindow::redrawFractal (int index)
{
  if (index < _fractals.size())
  {
    //ui->descriptionLabel->setText(_fractals[index]->description());
    //_fractals[index]->draw(_painter);
    //_painter->update();
  }
}