#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "abstract_fractal.h"
#include "abstract_palette.h"
#include "fractal_painter.h"
#include <QtGui/QWidget>
#include <QtCore/QVector>

namespace Ui
{
  class Form;
}


class MainWindow : public QWidget
{
  Q_OBJECT

  public:
      MainWindow(QWidget *parent = 0);
      ~MainWindow();

  private:
    Ui::Form *ui;
    FractalPainter *_painter;
    AbstractPalette *_palette;
    AbstractPalette *_palette2;
    QVector<AbstractFractal*> _fractals;
    
    void setupFractalList ();

  public slots:
    void redrawFractal (int index);
};

#endif
